<?php

namespace Litecms\Placement;

use User;

class Placement
{
    /**
     * $placement object.
     */
    protected $placement;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Placement\Interfaces\PlacementRepositoryInterface $placement)
    {
        $this->placement = $placement;
    }

    /**
     * Returns count of placement.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.placement.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->placement->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PlacementUserCriteria());
        }

        $placement = $this->placement->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('placement::' . $view, compact('placement'))->render();
    }
}
