<?php

namespace Litecms\Placement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlacementTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Placement\Models\Placement $placement)
    {
        return [
            'id'                => $placement->getRouteKey(),
            'key'               => [
                'public'    => $placement->getPublicKey(),
                'route'     => $placement->getRouteKey(),
            ], 
            'id'                => $placement->id,
            'name'              => $placement->name,
            'designation'       => $placement->designation,
            'description'       => $placement->description,
            'image'             => $placement->image,
            'link'              => $placement->link,
            'order'             => $placement->order,
            'slug'              => $placement->slug,
            'user_id'           => $placement->user_id,
            'user_type'         => $placement->user_type,
            'deleted_at'        => $placement->deleted_at,
            'created_at'        => $placement->created_at,
            'updated_at'        => $placement->updated_at,
            'url'               => [
                'public'    => trans_url('placement/'.$placement->getPublicKey()),
                'user'      => guard_url('placement/placement/'.$placement->getRouteKey()),
            ], 
            'status'            => trans('app.'.$placement->status),
            'created_at'        => format_date($placement->created_at),
            'updated_at'        => format_date($placement->updated_at),
        ];
    }
}